<?php

/**
 * The dashboard project functionality of the plugin.
 *
 * @link       https://seolocalrank.com
 * @since      1.0.0
 *
 * @package    seolocalrank
 * @subpackage seolocalrank/admin
 */
/**
 * The admin-specific functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the admin-specific stylesheet and JavaScript.
 *
 * @package    seolocalrank
 * @subpackage seolocalrank/admin
 * @author     Optimizza <proyectos@optimizza.com>
 */


?>
<style>
    .sidenav {
  height: 100%; /* 100% Full-height */
  width: 0; /* 0 width - change this with JavaScript */
  position: fixed; /* Stay in place */
  z-index: 1; /* Stay on top */
  
  right: 0;
  
  overflow-x: hidden; /* Disable horizontal scroll */
  padding-top: 20px; /* Place content 60px from the top */
  transition: 0.5s; /* 0.5 second transition effect to slide in the sidenav */
  
  top: 0px;
    
    border-left: 1px solid #ddd;
    background: #f8f8f8;
    z-index: 300;
}

/* The navigation menu links */
.sidenav a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

/* When you mouse over the navigation links, change their color */
.sidenav a:hover {
  color: #f1f1f1;
}

/* Position and style the close button (top right corner) */
.sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

/* Style page content - use this if you want to push the page content to the right when you open the side navigation */
#main {
  transition: margin-left .5s;
  padding: 20px;
}

/* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) */
@media screen and (max-height: 450px) {
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
}
</style>


<div id="slr-plugin-container">
    
    <image src="<?= esc_html($this->logo) ?>" class="logo" />
    
     <div class="slr_header">
        <h2><?= esc_html($domain["name"])?></h2>
        
        <?php if(isset($coupon)){?>
        <div class="slr-alert slr-critical" style="background-color:#d4389ab8;text-align: center;">
                <h2 class="slr-key-status" style="color:white; font-weight:300">
                    <?php 
                        echo round($coupon["discount"],0)."% ";
                        echo esc_html_e("OFF DISCOUNT FOREVER", 'seolocalrank');
                    ?></h2>
            
                <h2 class="slr-key-status" style="color:white; font-weight:bold">
                    <?php 
                        
                        echo esc_html_e("COUPON: ", 'seolocalrank');
                        echo $coupon["code"];
                    ?></h2> 
            <a href="<?= $coupon_link ?>" target="_blank">
                <button style="background: white;border: 1px solid white;color: #D4389A;text-decoration: none;padding: 20px;border-radius: 10px;width: 200px;font-size: 15px;font-weight: bold;margin: 0 auto;cursor:pointer;">
                    <?= esc_html_e("APPLY COUPON", 'seolocalrank') ?>
                </button>
            </a>
            
            <p style="text-align:center;color:white">
            <?= esc_html_e("Ends in", 'seolocalrank');?>
            <?php
                $hours_remaining = round($coupon["seconds_remaining"]/3600);
                $minutes_remaining = round($coupon["seconds_remaining"]/60);
                
                if($hours_remaining > 0)
                {
                    echo $hours_remaining;
                    echo esc_html_e(" hours", 'seolocalrank');
                }
                else if($minutes_remaining > 0)
                {
                    echo $minutes_remaining;
                    echo esc_html_e(" minutes", 'seolocalrank');
                }
                else
                {
                    echo $seconds_remaining;
                    echo esc_html_e(" secs", 'seolocalrank');
                   
                }
            ?>
            
        </p>
        </div>
        
        <?php }?>
    </div>
    <div class="slr-higher-new" id="main">
        
        <!-- keywords position summary -->
        <div class="slr-row" style="overflow: hidden;">
            <div class="slr-col-3">
                <div class="slr-top-keywords slr-bg-success slr-text-center slr-p5">
                    <div class="slr-num-keywords slr-bg-white slr-pt20 slr-pb20"><?= esc_html($tops["top1"]) ?> <?= esc_html_e("Keywords", 'seolocalrank' )?></div>
                    <div class="slr-mt5"><strong><?= esc_html_e("Top 1-3", 'seolocalrank' )?></strong></div>
                </div>
            </div>
            <div class="slr-col-3">
                <div class="slr-top-keywords slr-bg-warning slr-text-center slr-p5">
                    <div class="slr-num-keywords slr-bg-white slr-pt20 slr-pb20"><?= esc_html($tops["top4"]) ?> <?= esc_html_e("Keywords", 'seolocalrank' )?></div>
                    <div class="slr-mt5"><strong><?= esc_html_e("Top 4-10", 'seolocalrank' )?></strong></div>
                </div>
            </div>
            <div class="slr-col-3">
                <div class="slr-top-keywords slr-bg-danger slr-text-center slr-p5">
                    <div class="slr-num-keywords slr-bg-white slr-pt20 slr-pb20"><?= esc_html($tops["top11"]) ?> <?= esc_html_e("Keywords", 'seolocalrank' )?></div>
                    <div class="slr-mt5"><strong><?= esc_html_e("Top 11-100", 'seolocalrank' )?></strong></div>
                </div>
            </div>
            <div class="slr-col-3">
                <div class="slr-top-keywords slr-bg-dark slr-text-center slr-p5">
                    <div class="slr-num-keywords slr-bg-white slr-pt20 slr-pb20"><?= esc_html($tops["top101"]) ?> <?= esc_html_e("Keywords", 'seolocalrank' )?></div>
                    <div class="slr-mt5"><strong><?= esc_html_e("Top +100", 'seolocalrank' )?></strong></div>
                </div>
            </div>
        </div>
        <!-- END keywords position summary -->
        
        
        <!-- Tracking Keywords list row -->
        <div class="slr-row" style="overflow: hidden;">
          
            <!-- Keywords Table -->
            <div class="slr-col-7" id="kw-table-container">
                <div class="slr-btn-group">
                    <button type="button" onclick="openNav()" class="slr-btn slr-btn-sm slr-btn-success slr-btn-block" id="toggle_sidemenu_r">
                    <span class="fa fa-plus" aria-hidden="true"></span> <?= esc_html_e("Add Keywords", 'seolocalrank' )?> </button>
                </div>
                
                <table class="slr-table slr-table-hover slr-fs12">
                    <thead class="slr-table-head">
                      <tr class="slr-tr-head">
                        <th class="slr-fs12"><?= esc_html_e("Keyword", 'seolocalrank' )?></th>
                        <th class="hidden-xs slr-fs12"><?= esc_html_e("Location", 'seolocalrank' )?></th>
                        <th class="slr-text-center slr-fs12"><?= esc_html_e("Position", 'seolocalrank' )?></th>
                        <th class="slr-text-center slr-fs12"><?= esc_html_e("Change", 'seolocalrank' )?></th>
                        <th class="slr-text-center slr-fs12"><?= esc_html_e("Best", 'seolocalrank' )?></th>
                        <th class="slr-text-center slr-fs12"><?= esc_html_e("Date", 'seolocalrank' )?></th>
                        <th class="slr-text-center slr-fs12"><?= esc_html_e("Volume", 'seolocalrank' )?></th>
                        <th class="slr-text-center slr-fs12"><?= esc_html_e("CPC", 'seolocalrank' )?></th>
                      </tr>
                    </thead>
                    <tbody>
                     <?php foreach($keywords as $keyword){
                                $rank_class="slr-rank-bg-dark";
                                if($keyword["rank"] >= 1 && $keyword["rank"]< 4)
                                {
                                    $rank_class="slr-rank-bg-success";
                                }
                                else if($keyword["rank"] >= 4 && $keyword["rank"]< 11)
                                {
                                    $rank_class="slr-rank-bg-warning";
                                }
                                else if($keyword["rank"] >= 11 && $keyword["rank"]< 101)
                                {
                                    $rank_class="slr-rank-bg-danger";
                                }
                                    
                         
                         ?>
                            <tr id="<?= esc_html($keyword["id"])?>" class="slr_keyword_row" domain-id="<?= esc_html($keyword["domain_id"])?>" keyword-province-id="<?= esc_html($keyword["keyword_province_id"])?>" keyword-province="<?= esc_html($keyword["province"])?>" keyword="<?= esc_html($keyword["keyword"])?>" paused="<?= (empty($keyword["paused_at"]) ? esc_html('0') : '1' ) ?>" >
                                <td class="tk-keyword slr-pl10 slr-pr5">
                                    <?= (empty($keyword["paused_at"]) ? esc_html('') : '<i class="fas fa-pause pause-icon"></i>' ) ?>
                                    <?= esc_html($keyword["keyword"])?>
                                    <?php
                                    if ($keyword['cannibalization'] == 1) {
                                        echo '<i class="fa fa-bug"></i>';
                                    }
                                    ?>
                                </td>
                                <td class="hidden-xs slr-text-center tk-province"><?= esc_html($keyword["province"])?></td>
                                <td class="text-center rank">
                                    <?php 
                                        if(isset($keyword["rank"]))
                                        {
                                            if($keyword["rank"] > 0) {
                                                //echo '<span class="slr-hidden">'. esc_html(str_pad($keyword['rank'], 3, '0', STR_PAD_LEFT)).'</span>';
                                                echo '<span class="'.$rank_class.'">'.esc_html($keyword["rank"]).'</span>';
                                            }
                                            else {
                                                echo '<span class="'.$rank_class.'">+101</span>';
                                            }
                                        }
                                        else {
                                            //echo esc_html('<span class="slr-hidden">0</span>');
                                            echo esc_html_e("Pending", 'seolocalrank' );
                                        }
                                    ?>
                                </td>
                                <td class="text-center rank-change" >
                                    <?php
                                    if ($keyword['better_rank'] === 0 || empty($keyword["previous_rank"])) {
                                        $change_icon = 'circle';

                                        //echo '<span class="slr-hidden">'.esc_html(100).'</span>';
                                        echo '<span><i class="fa fa-'.esc_html( $change_icon).'"></i></span>';
                                    }
                                    else {
                                        if ($keyword['better_rank'] === 1) {
                                            $change_icon = 'chevron-up';
                                            $change_color = 'slr-bg-success';
                                        }
                                        else {
                                            $change_icon = 'chevron-down';
                                            $change_color = 'slr-bg-danger';
                                        }

                                        //echo '<span class="slr-hidden">'.esc_html(str_pad(($keyword['change'] * ($keyword['better_rank'] < 0 ? -1 : 1) + 100), 3, '0', STR_PAD_LEFT)).'</span>';
                                        echo '<span class="'. esc_html($change_color).'"><i class="fa fa-'. esc_html($change_icon).'"></i> '. esc_html($keyword['change']).'</span>';
                                    }
                                    ?>
                                </td>
                                <td class="text-center best-rank">
                                      <?php 
                                      if (isset($keyword["best_rank"])){
                                          if ($keyword["best_rank"] > 0) {
                                              //echo '<span class="slr-hidden">'.esc_html(str_pad($keyword['best_rank'], 3, '0', STR_PAD_LEFT)).'</span>';
                                              echo esc_html($keyword["best_rank"]);
                                          }
                                          else {
                                              echo '+101';
                                          }
                                      }
                                      else {
                                          //echo '<span class="slr-hidden">0</span>';
                                          echo esc_html($lang->get("pending"));
                                      }
                                      ?>
                                </td>
                                <td class="text-center hidden-xs hidden-sm last_search">
                                    <?php 
                                        if(isset($keyword["last_search"])) {
                                            //echo '<span class="slr-hidden">'.esc_html($keyword['updated_at']).'</span>';
                                            echo esc_html($keyword["last_search"]);
                                        }
                                        else {
                                            //echo '<span class="slr-hidden">0</span>';
                                            echo esc_html($lang->get("pending"));
                                        }
                                    ?>


                                </td>
                                <td class="text-center">
                                    <?php 
                                        if($_SESSION["slr_user"]["plan"]["adwords_data"])
                                        {
                                            echo esc_html($keyword["volume"]);
                                        }
                                        else 
                                        {
                                            echo '<i class="fas fa-lock"></i>';
                                        }
                                    ?>
                                    
                                </td>

                                <td class="text-center">
                                    <?php 
                                        if($_SESSION["slr_user"]["plan"]["adwords_data"])
                                        {
                                            echo esc_html(str_replace('.',',',round($keyword["cpc"],2).'€'));
                                        }
                                        else 
                                        {
                                            echo '<i class="fas fa-lock"></i>';
                                        }
                                    ?>
                                </td>
                                <!--<td>
                                    <span class="fa fa-refresh update-keyword-button"></span>
                                </td>-->
                            </tr>
                        <?php } ?>    
                        
                        
                        
                        
                    </tbody>
                </table>
                
            </div>  
            <!-- END Keyword Table -->
            
            <!-- Keywords Stats -->
             <div class="slr-col-5" id="keyword-stats" style="background: #ecf5f9;border-left: 1px solid #ccc;">
                <div class="slr-row">
                    <div class="slr-col-12">
                        <h3 class="" style="font-weight: 300;margin-top: 0px;"><?= esc_html_e("Keyword", 'seolocalrank' )?>: <strong class="color-black" id="tk-keyword"></strong></h3>
                        
                        <div id="paused-advise" style="display:none;background: #fad083;text-align: center;padding: 10px;border: 1px solid red;color: red;margin-bottom: 16px;font-weight: bold;">
                            <?= esc_html_e("This keyword is not being tracked!", 'seolocalrank' )?>
                        </div>
                        
                         <div id="activate-advise" style="display:none;background: #60cf69;text-align: center;padding: 10px;border: 1px solid #ffffff;color: white;margin-bottom: 16px;font-weight: bold;">
                            <?= esc_html_e("The keyword has been activated!", 'seolocalrank' )?>
                        </div>
                    </div>
                </div>
                 
                <div class="slr-row" style="margin-top:7px;">
                    <div class="slr-col-12">
                        <div class="slr-btn-group slr-mr2">
                            <button type="button" class="slr-btn slr-btn-info slr-btn-sm" id="update-keyword-button">
                            <i class="fas fa-sync-alt"></i> <?= esc_html_e("Update", 'seolocalrank' )?> </button>
                        </div>
                        
                        <div class="slr-btn-group">
                            <button type="button" class="slr-btn slr-btn-danger slr-dark slr-btn-sm" id="delete-keyword-button">
                            <i class="far fa-trash-alt"></i> <?= esc_html_e("Delete", 'seolocalrank' )?> </button>
                        </div>
                        
                        <div class="slr-btn-group" id="activate-tracking-button">
                            <button type="button" class="slr-btn slr-btn-success slr-dark slr-btn-sm" id="delete-keyword-button">
                           <i class="fas fa-play"></i> <?= esc_html_e("Activate tracking", 'seolocalrank' )?> </button>
                        </div>
                    </div>
                </div>
                 
                 
                <div class="slr-row" style="margin-top:7px;">
                    <div class="slr-col-12">
                        <h4 class="" style="font-weight: 500;margin-top: 10px;"><?= esc_html_e("Position history", 'seolocalrank' )?></h4>
                        
                        <div class="" style="margin-bottom: 15px;">
                            <select class="slr-form-control" id="tk-days">
                                <option value="0"><?= esc_html_e("Last data", 'seolocalrank' )?></option>
                                <option value="7"><?= esc_html_e("Last 7 days", 'seolocalrank' )?></option>
                                <option value="28"><?= esc_html_e("Last 28 days", 'seolocalrank' )?></option>
                                <option value="90"><?= esc_html_e("Last 90 days", 'seolocalrank' )?></option>
                                <option value="180"><?= esc_html_e("Last 180 days", 'seolocalrank' )?></option>
                            </select>
                        </div>
                        
                         <div id="chart" style="width: 96%; height: 350px; margin: 0 auto;margin-bottom: 20px;background-color:#f2f2f2"></div>
                    </div>
                </div>
                 
                
                 <div class="slr-row">
                    <div class="slr-col-12">
                        
                        <h4 class="" style="font-weight: 500;margin-top: 10px;"><?= esc_html_e("Google Search Data", 'seolocalrank' )?></h4>
                        
                                <table id="slr-google-data-table" class="slr-table slr-table-hover slr-fs10" style="width:96%;">
                                    <thead class="slr-table-head">
                                        <tr>
                                            <th class="slr-text-center"><?= esc_html_e("Volume", 'seolocalrank' )?></th>
                                            <th class="slr-text-center"><?= esc_html_e("CPC", 'seolocalrank' )?></th>
                                            <th class="slr-text-center"><?= esc_html_e("Dificulty", 'seolocalrank' )?></th>
                                            <th class="slr-text-center"><?= esc_html_e("monthly stimated visits", 'seolocalrank' )?></th>

                                        </tr>
                                    </thead>
                                    <tbody id="google_data_table">
                                       
                                    </tbody>
                                </table>
                         
                        
                    </div>
                </div>
                 
                <div class="slr-row">
                    <div class="slr-col-12">
                        
                        <h4 class="" style="font-weight: 500;margin-top: 10px;"><?= esc_html_e("Indexed URLS", 'seolocalrank' )?></h4>
                        
                                <table id="slr-indexed-urls-table" class="slr-table slr-table-hover slr-fs10" style="width:96%;">
                                    <thead class="slr-table-head">
                                        <tr>
                                            <th><?= esc_html_e("URL", 'seolocalrank' )?></th>
                                            <th class="slr-text-center"><?= esc_html_e("Position", 'seolocalrank' )?></th>
                                           

                                        </tr>
                                    </thead>
                                    <tbody id="indexed_url_table">
                                       
                                    </tbody>
                                </table>
                         
                        
                    </div>
                </div>
                 
                 <div class="slr-row" style="padding-bottom: 20px;">
                    <div class="slr-col-12">
                        
                        <h4 class="" style="font-weight: 500;margin-top: 10px;"><?= esc_html_e("Main competitors", 'seolocalrank' )?></h4>
                        
                                <table id="slr-main-competitors-table" class="slr-table slr-table-hover slr-fs10" style="width:96%;">
                                    <thead class="slr-table-head">
                                        <tr>
                                           <th><?= esc_html_e("URL", 'seolocalrank' )?></th>
                                            <th class="slr-text-center"><?= esc_html_e("Position", 'seolocalrank' )?></th>
                                           

                                        </tr>
                                    </thead>
                                    <tbody id="main_competitors_table">
                                       
                                    </tbody>
                                </table>
                         
                        
                    </div>
                </div> 
                 
            </div> 
            <!-- END Keyword stats -->
            
            <!-- ADD Keyword -->
             
             
             

             <div class="slr-col-5" id="keyword-stats" style="background: #ecf5f9;border-left: 1px solid #ccc;">
             
             </div>
             <!-- END Add KW -->
        </div>    

    </div>
       
    
</div>



<div id="mySidenav" class="sidenav">
    <h5 class="slr-title-divider slr-text-muted slr-mb20 slr-fs15"> 
        <span class="fa fa-plus" aria-hidden="true"></span> <?= esc_html_e("Add keywords", 'seolocalrank' )?> <span class="pull-right">
        <span class="slr-pull-right">
            <i class="fas fa-times slr-cursor" id="close-add-keyword" onclick="closeNav()"></i>
            
        </span>
    </h5>   
    
    <div id="add-keyword-form-box">
        <div style="margin-left: 10px;">
            <h4 style="font-size: 15px;"><?= esc_html_e("Add the keywords you want to track in your project", 'seolocalrank' )?></h4>
            <input name="keyword" placeholder="<?= esc_html_e("Keyword", 'seolocalrank' )?>" type="text" id="keyword" value="" class="regular-text">
            <p class="slr_description keyword_error" id="timezone-description" style="padding:0px;color:red;display:none;"><?= esc_html_e("Enter a valid keyword please", 'seolocalrank' )?></p>    
        </div>

        <div style="margin-left: 10px;" >
            <h4 style="font-size: 15px;">¿Dónde quieres trackear tu palabra clave?</h4>
                <select name="cities" class="select2-province form-control" multiple style="width:90%;" data-placeholder="<?= esc_html_e("Choose cities", 'seolocalrank' )?>" data-availablekeywords="<?= esc_html($available_keywords)?>">
                </select>

                <p class="description cities_error" id="timezone-description" style="padding:0px;color:red;display:none;"><?= esc_html_e("Choose the citie or the cities where you want tracking the keyword", 'seolocalrank' )?></p>      
                <p class="description" id="timezone-description" style="padding:0px;"><?= esc_html_e("Enter the name of a country, state, city, etc", 'seolocalrank' )?></p>
                <p class="description available_keywords_error" id="timezone-description" style="padding:0px;color:red;display:none;"><?= esc_html_e('By adding these combinations you would be using the maximum number of keywords that your plan supports. Get a superior plan and add more keywords.', 'seolocalrank' )?></p>
        </div>

        <div class="alert alert-info text-center" style="background-color:#cdcdcd; margin: 10px;padding: 10px;color: #FFF;border: 1px solid #ccc;">
            <i class="fa fa-info pr10"></i>
            <?= esc_html_e("You can add multiple locations, creating combinations between the keyword and all of them", 'seolocalrank' )?> 
        </div>

        <div class="slr-text-center">
             <input type="hidden" id="project-domain-id" name="project-domain-id" value="<?= esc_html($domainId)?>"/>
            <button type="button" id="send-new-keyworsd-button" class="slr-btn slr-btn-rounded slr-btn-success slr-btn-block slr-mb-10" style="width: 55%;margin: 0 auto;">
                <?= esc_html_e("Add keywords", 'seolocalrank' )?> 
            </button>
        </div>

        <div class="slr-text-center">
            <div data-chart-id="1" class="slr-legend-item slr-btn slr-btn-default slr-btn-sm" style="margin: 0 auto;margin-top: 10px;font-size: 10px;width:20%;text-align: center"><span id="available_keywords_left"><?= esc_html($available_keywords)?></span> <?= esc_html_e("Keywords left", 'seolocalrank' )?></div>
        </div>
    </div>
    
    <div class="slr-box" id="loader-box">
                 <img class="loader" src="<?= esc_html($this->loader)?>"/>
                 <p><?= _e("We are calculating the position of the keywords you just entered", 'seolocalrank' )?></p>
                 <p><?= _e("This process may take a few minutes", 'seolocalrank' )?></p>
                 
            </div>
    
    
</div>


<script type="text/javascript">

/* Set the width of the side navigation to 250px */
function openNav() {
  document.getElementById("mySidenav").style.width = "40%";
  document.getElementById("slr-plugin-container").style.opacity = "0.5";
}

/* Set the width of the side navigation to 0 */
function closeNav() {
  document.getElementById("mySidenav").style.width = "0";
  document.getElementById("slr-plugin-container").style.opacity = "1";
}


    
jQuery(document).ready( function(){
    initSelectProvince();
    jQuery('#send-new-keyworsd-button').click(function(){
       sendAddKeywordForm(); 
    });
});
    

</script>